Package org.jfree.report.modules.misc.survey

# Class SurveyScaleLegendItem

java.lang.Object
org.jfree.report.modules.misc.survey.SurveyScaleLegendItem

public class SurveyScaleLegendItem extends Object
A Drawable object that represents a legend item for a `SurveyScale`.

## Constructor Summary

Constructors
Constructor
Description
`SurveyScaleLegendItem()`
`SurveyScaleLegendItem(Shape shape, String label, boolean draw, boolean fill)`
Creates a new legend item.

## Method Summary

Modifier and Type
Method
Description
`void`
`draw(Graphics2D g2, Rectangle2D area)`
Draws the legend item.
`Font`
`getFont()`
`String`
`getLabel()`
`Shape`
`getShape()`
`boolean`
`isDraw()`
`boolean`
`isFill()`
`void`
`setDraw(boolean draw)`
`void`
`setFill(boolean fill)`
`void`
`setFont(Font font)`
`void`
`setLabel(String label)`
`void`
`setShape(Shape shape)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SurveyScaleLegendItem

public SurveyScaleLegendItem()

### SurveyScaleLegendItem

public SurveyScaleLegendItem(Shape shape, String label, boolean draw, boolean fill)
Creates a new legend item.

Parameters:
  `shape` - the shape.
  `label` - the label.
  `draw` - draw the shape?
  `fill` - fill the shape?

## Method Details

### draw

public void draw(Graphics2D g2, Rectangle2D area)
Draws the legend item.

Parameters:
  `g2` - the graphic device.
  `area` - the area.

### isDraw

public boolean isDraw()

### setDraw

public void setDraw(boolean draw)

### isFill

public boolean isFill()

### setFill

public void setFill(boolean fill)

### getFont

public Font getFont()

### setFont

public void setFont(Font font)

### getLabel

public String getLabel()

### setLabel

public void setLabel(String label)

### getShape

public Shape getShape()

### setShape

public void setShape(Shape shape)